Bug 988191 - Publican web directory hard-coded in web-home-spec.xsl
Publican web directory hard-coded in web-home-spec.xsl
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 00:05 EDT by Katie Miller
Modified: 2015-02-08 16:35 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:47:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Katie Miller 2013-07-25 00:05:19 EDT
Description of problem:

A parameter has been introduced for Publican 3.2 (web_dir) to specify the default web directory location, as can be seen in web-spec.xsl. However, this change hasn't been extended to web-home-spec.xsl, which means this parameter doesn't work for a web home package. 

Version-Release number of selected component (if applicable):


How reproducible:

Try to build a package defined as web_type home, with a brand that defines web_dir. Result is that the package when installed ends up at /var/www/html/docs, despite the definition of web_dir. This is the hard-coded value.


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 HSS Product Manager 2013-07-25 00:07:31 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 2 Jeff Fearn 2013-07-25 01:15:20 EDT
Fixed web-spec-home to use web_dir correctly.

To ssh://git.fedorahosted.org/git/publican.git
   ff59b97..8312dd8  HEAD -> devel
Comment 3 Katie Miller 2013-07-25 17:55:49 EDT
Tested on 3.1.5-0.fc18.t66.
Comment 4 Jeff Fearn 2013-08-09 00:47:54 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.